Skip to navigation

List analysis item versions

List the published versions of an analysis item, newest first.

Path parameters

analysis_item_idstringRequired
ID of the requested analysis item.

Headers

xi-api-keystringOptional

Query parameters

page_sizeintegerOptional1-100Defaults to 30
How many documents to return at maximum. Can not exceed 100, defaults to 30.
cursorstringOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
versionslist of objects
current_version_idstring
has_moreboolean
next_cursorstringOptional

Errors

422
Analysis Items List Versions Request Unprocessable Entity Error